NewWacht Bench is live — AI-assisted development for Wacht

Get Analytics

GET
/webhook/analytics

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

start_date?string
end_date?string
endpoint_id?string
fields?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/webhook/analytics"
{
  "status": 0,
  "message": "string",
  "data": {
    "total_deliveries": 0,
    "total_events": 0,
    "successful": 0,
    "failed": 0,
    "filtered": 0,
    "success_rate": 0,
    "avg_response_time_ms": 0,
    "p50_response_time_ms": 0,
    "p95_response_time_ms": 0,
    "p99_response_time_ms": 0,
    "avg_payload_size": 0
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}